#include <bits/stdc++.h>
using namespace std;

int main() {
    int t;
    cin >> t;

    vector <int> lista;

    for (int i=0; i < t; i++) {

        int resenje = 0;
        int broj;
        cin >> broj;

        for (int x=0; x < broj; x++) {
            int temp = x;
            int rezultat = 1;

            while (temp > 0) {
                rezultat *= (temp % 10);
                temp /= 10;
            }
            int nasao = 0;
            for (int y=0; y < lista.size(); y++) {
                if (rezultat == lista[y]) {
                    nasao = 1;
                    break;
                }
            }

            if (nasao == 0) {
                resenje += 1;
                lista.push_back(rezultat);
            }
        }
        cout << resenje4 << "\n";
    }


    return 0;
}